
Redmine - Defect #3850

email handler drops emails for new issues with no subject

2009-09-11 22:16 - Lucas Panjer

Status: Closed Start date: 2009-09-11

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Email receiving Estimated time: 0.00 hour

Target version: 0.9.0   

Resolution: Fixed Affected version:  

Description

mail_handler.rb fails to create a new issue (due to the new issue failing to validate) if the email subject line is blank. Basic fix

attached.

Associated revisions

Revision 2873 - 2009-09-12 11:33 - Jean-Philippe Lang

Email handler: set a default issue subject if the email subject is blank (#3850).

History

#1 - 2009-09-12 11:30 - Jean-Philippe Lang

- Category set to Email notifications

- Status changed from New to Closed

- Target version set to 0.9.0

- Resolution set to Fixed

Patch committed with slight changes in r2873.

Thanks.

#2 - 2009-11-28 13:16 - Jean-Philippe Lang

- Category changed from Email notifications to Email receiving

Files

blank_subject_fix.patch 610 Bytes 2009-09-11 Lucas Panjer
